Subject: Re: bug#79023: 30.1.90; Suspicion of memory leak on internal_redisplay (MacOS)

From: Przemysław Alexander Kamiński<[email-masked]>
Date: Wed, 16 Jul 2025 16:51:24 +0200

> Is this the full patch? Unfortunately nsfont.m isn't used on macos,
> it's only for GNUstep.

Yup :)

> Also I'm pretty sure that when using alloc the object's lifetime is
> restricted to the calling function, you need to retain the object if
> you want to keep it.

It's marked as a static pointer, so I believe it wouldn't be cleared.
Yet i'm completely out of my water here.

> I'm not saying we definitely don't make a mistake somewhere with
> retain/release, but this probably isn't it.

Even if it was then it wasn't impactful anyway, so I wouldn't focus on that
at all.

Best,
Przemysław Alexander Kamiński